<?php
//================================================================================
include('config.inc');

/**
 * турбо-функция для отправки писем и аттачей
 * function SendMail( $from, $to, $subj, $text, $file, $filename)
 * @param $from - от кого
 * @param $to - кому
 * @param $subj - тема
 * @param $text - текст тела письма
 * @param $file_content - содержимое файла для отправки
 * @param $filename - имя файла - с каким именем юзер получит этот аттач
 * @param $urgent - приоритет (1 - срочно, 5 - не срочно, 0 - без приоритета)
*/
function sendMail($from, $to, $subj, $text, $file_content = false, $filename = '', $urgent = 0) {
	$un = strtoupper(uniqid(time()));
	//$head = "From: ".mail_header_base64_enc($from)."\n";
	//$head .= "To: ".mail_header_base64_enc($to)."\n";
	$head .= "Subject: ".mail_header_base64_enc($subj)."\n";
	$head .= "X-Mailer: Pochtalion Pechkin\n";
	if ($urgent > 0) {
		$head .= "X-Priority: ".$urgent."\n";    /* Urgent = 1, Not Urgent = 5, Disable = 0*/
	}
	//$head .= "Reply-To: ".mail_header_base64_enc($from)."\n";
	$head .= "Mime-Version: 1.0\n";
	$head .= "Content-Type:multipart/mixed;\n boundary=\"----------".$un."\"";
	$zag = "------------".$un."\nContent-Type:text/plain; charset=Windows-1251\n";
	$zag .= "Content-Transfer-Encoding: 8bit\n\n$text\n\n";
	$zag .= "------------".$un;
	if ($file_content !== false) {
		if ($filename == '') {
			$filename = 'anyfile';
		}
		$zag .= "\nContent-Type: application/x-download; name=\"".mail_header_base64_enc($filename)."\"\n";
		$zag .= "Content-transfer-encoding: base64\n";
		$zag .= "Content-Disposition: attachment; filename=\"".mail_header_base64_enc($filename)."\"\n\n";
		$zag .= base64_encode($file_content);
		$zag .= "\n\n";
		$zag .= "------------".$un."\n";
	}

	if (!mail($to, mail_header_base64_enc($subj), $zag, $head)) {
		return 0;
	} else {
		return 1;
	}
}


function mail_header_base64_enc($string) {
	return '=?windows-1251?B?'.base64_encode($string).'?=';
}

//================================================================================
?>