$(document).ready(function() {
    $('.upload-file-form').each(function(i) {
        $(this).load('/sendmailforms/upload_file_form.php?i=' + i, {}, function(data) {
            var idx = i;
            var form = $(this);
            if($(this).attr('button') !== undefined) {
                $('#upload_me_button_' + i).val($(this).attr('button'));
            }
           	$('#upload_me_phone_' + i).mask("+9(999)999-99-99", {placeholder:"_"});
           	
            var button = $('#upload_me_attach_' + i), interval;
        
            $.ajax_upload(button, {
                action : '/sendmailforms/upload_me.php',
                name : 'file',
                onSubmit : function(file, ext) {
               		$('#upload_me_file_error_' + idx).hide();
                    // показываем картинку загрузки файла
                    $('#upload_me_file_' + idx).html('<img src="/sendmailforms/ajax-loader.gif" title="Загрузка..." />');
                    this.disable();
                },
                onComplete : function(file, response) {
                    // снова включаем кнопку
                    this.enable();
                    // показываем что файл загружен
                    if (response != '+error') {
                        $('#upload_me_isfile_' + idx).val('1');
                        $('#upload_me_file_' + idx).html(response);
                    }
                    else {
                        $('#upload_me_isfile_' + idx).val('0');
                        $('#upload_me_file_' + idx).html('');
                   		$('#upload_me_file_error_' + idx).html('Не удалось загрузить файл');
                    }
                }
            });
           	
           	$('#upload_me_button_' + i).click(function() {
           	    clickButton(i, form)
           	});
        });
    });
    
    function clickButton(i, form) {
   		$('#upload_me_name_error_' + i).html('');
   		$('#upload_me_phone_error_' + i).html('');
   		$('#upload_me_email_error_' + i).html('');
   		$('#upload_me_file_error_' + i).html('');
   		
    	if ($('#upload_me_name_' + i).val() == '') {
    		$('#upload_me_name_' + i).focus();
    		$('#upload_me_name_error_' + i).html('Укажите Ваше имя');
    		return;
    	}
    	if (!$('#upload_me_email_' + i).val().match(/^[\.a-z0-9_\-]+[@][a-z0-9_\-]+([.][a-z0-9_\-]+)+[a-z]{1,4}$/i)) {
    		$('#upload_me_email_' + i).focus();
    		$('#upload_me_email_error_' + i).html('Укажите правильный E-Mail');
    		return;
    	}
    	if ($('#upload_me_phone_' + i).val() == '') {
    		$('#upload_me_phone_' + i).focus();
    		$('#upload_me_phone_error_' + i).html('Укажите номер телефона');
    		return;
    	}
        if ($('#upload_me_isfile_' + i).val() != 1) {
            $('#upload_me_file_error_' + i).html('Загрузите файл');
            return;
        }
        
    	$('#upload_me_' + i).attr('disabled', true);
    	$('#upload_me_loading_' + i).show();
    	$.post('/sendmailforms/save_file.php', { title: form.attr('title'), name: $('#upload_me_name_' + i).val(), phone: $('#upload_me_phone_' + i).val(), email: $('#upload_me_email_' + i).val(), url: $('#upload_me_url_' + i).val() },
            function() {
            	$(form).html('<div class="call_me_success">Спасибо!<br/>Мы скоро свяжемся с Вами.</div>');
                setTimeout(function() {
        			$(form).delay(5000).fadeOut(1000);
                }, 400);
            }
        );
    }
});